// This file is generated by Logdoc. Do not edit.
package org.znerd.mylibrary;

/**
 * Logger for the <em>znerd.mylibrary</em> domain.
 *
 * @since MyLibrary 5.5.3
 */
public final class Log {

    private static final String FQCN = "org.znerd.mylibrary.Log";
    private static final java.util.HashMap<String,TranslationBundle> TRANSLATION_BUNDLES_BY_NAME = createTranslationBundlesMap();
    private static TranslationBundle CURRENT_TRANSLATION_BUNDLE = TranslationBundle_en_US.SINGLETON;
    @SuppressWarnings("unused") private static final Controller CONTROLLER = new Controller();
   
    private Log() {
    }
    
    private static java.util.HashMap<String,TranslationBundle> createTranslationBundlesMap() {
        java.util.HashMap<String,TranslationBundle> map = new java.util.HashMap<String,TranslationBundle>();
          map.put("en_US", TranslationBundle_en_US.SINGLETON);
        return map;
    }


    /**
     * Sets the diagnostic context identifier for this thread.
     *
     * @param newContextId the new diagnostic context identifier for this thread, cannot be <code>null</code>.
     */
    public static void putContextId(String newContextId) {
        org.znerd.logdoc.LogFacade.putContextId(newContextId);
    }

    /**
     * Unsets the diagnostic context identifier for this thread.
     */
    public static void unputContextId() {
        org.znerd.logdoc.LogFacade.unputContextId();
    }

    /**
     * Retrieves the current diagnostic context identifier for this thread.
     *
     * @return the context ID for this thread, or <code>null</code> if none.
     */
    public static String getContextId() {
        return org.znerd.logdoc.LogFacade.getContextId();
    }

    /**
     * Retrieves the active translation bundle.
     *
     * @return the translation bundle that is currently in use, never <code>null</code>.
     */
    public static TranslationBundle getTranslationBundle() {
        return CURRENT_TRANSLATION_BUNDLE;
    }

   /**
    * Logs message 100, in the log entry group <em>Transactions</em>. The description for this log entry is:
    * <blockquote><em>Transaction system initializing.</em></blockquote>
    */
   public static final void initializingTransactionSystem() {
      if (org.znerd.logdoc.LogFacade.shouldLog("znerd.mylibrary", "transactions", "100", org.znerd.util.log.LogLevel.NOTICE)) {
         String _translation = CURRENT_TRANSLATION_BUNDLE.translation_100();
         org.znerd.logdoc.LogFacade.log(FQCN, "znerd.mylibrary", "transactions", "100", org.znerd.util.log.LogLevel.NOTICE, _translation);
      }
   }

   /**
    * Logs message 101, in the log entry group <em>Transactions</em>. The description for this log entry is:
    * <blockquote><em>Transaction system initialized.</em></blockquote>
    */
   public static final void initializedTransactionSystem(long duration) {
      if (org.znerd.logdoc.LogFacade.shouldLog("znerd.mylibrary", "transactions", "101", org.znerd.util.log.LogLevel.NOTICE)) {
         String _translation = CURRENT_TRANSLATION_BUNDLE.translation_101(duration);
         org.znerd.logdoc.LogFacade.log(FQCN, "znerd.mylibrary", "transactions", "101", org.znerd.util.log.LogLevel.NOTICE, _translation);
      }
   }

   /**
    * Logs message 102, in the log entry group <em>Transactions</em>. The description for this log entry is:
    * <blockquote><em>Transaction starting.</em></blockquote>
    */
   public static final void log_102(int id, String description) {
      if (org.znerd.logdoc.LogFacade.shouldLog("znerd.mylibrary", "transactions", "102", org.znerd.util.log.LogLevel.NOTICE)) {
         String _translation = CURRENT_TRANSLATION_BUNDLE.translation_102(id, description);
         org.znerd.logdoc.LogFacade.log(FQCN, "znerd.mylibrary", "transactions", "102", org.znerd.util.log.LogLevel.NOTICE, _translation);
      }
   }

   /**
    * Logs message 103, in the log entry group <em>Transactions</em>. The description for this log entry is:
    * <blockquote><em>Transaction started.</em></blockquote>
    */
   public static final void log_103(int id) {
      if (org.znerd.logdoc.LogFacade.shouldLog("znerd.mylibrary", "transactions", "103", org.znerd.util.log.LogLevel.INFO)) {
         String _translation = CURRENT_TRANSLATION_BUNDLE.translation_103(id);
         org.znerd.logdoc.LogFacade.log(FQCN, "znerd.mylibrary", "transactions", "103", org.znerd.util.log.LogLevel.INFO, _translation);
      }
   }

   /**
    * Logs message 104, in the log entry group <em>Transactions</em>. The description for this log entry is:
    * <blockquote><em>Transaction failed.</em></blockquote>
    */
   public static final void log_104(java.lang.Exception _exception, int id) {
      if (org.znerd.logdoc.LogFacade.shouldLog("znerd.mylibrary", "transactions", "104", org.znerd.util.log.LogLevel.ERROR)) {
         String _translation = CURRENT_TRANSLATION_BUNDLE.translation_104(_exception, id);
         org.znerd.logdoc.LogFacade.log(FQCN, "znerd.mylibrary", "transactions", "104", org.znerd.util.log.LogLevel.ERROR, _translation, _exception);
      }
   }

   /**
    * Logs message 105, in the log entry group <em>Transactions</em>. The description for this log entry is:
    * <blockquote><em>Transaction succeeded.</em></blockquote>
    */
   public static final void log_105(int id) {
      if (org.znerd.logdoc.LogFacade.shouldLog("znerd.mylibrary", "transactions", "105", org.znerd.util.log.LogLevel.INFO)) {
         String _translation = CURRENT_TRANSLATION_BUNDLE.translation_105(id);
         org.znerd.logdoc.LogFacade.log(FQCN, "znerd.mylibrary", "transactions", "105", org.znerd.util.log.LogLevel.INFO, _translation);
      }
   }

   /**
    * Logs message 200, in the log entry group <em>Content</em>. The description for this log entry is:
    * <blockquote><em>Missing resource value.</em></blockquote>
    */
   public static final void log_200(String resourceKey) {
      if (org.znerd.logdoc.LogFacade.shouldLog("znerd.mylibrary", "content", "200", org.znerd.util.log.LogLevel.ERROR)) {
         String _translation = CURRENT_TRANSLATION_BUNDLE.translation_200(resourceKey);
         org.znerd.logdoc.LogFacade.log(FQCN, "znerd.mylibrary", "content", "200", org.znerd.util.log.LogLevel.ERROR, _translation);
      }
   }

   /**
    * Controller for this <code>Log</code> class.
    */
   private static final class Controller extends org.znerd.logdoc.internal.LogController {

      /**
       * Constructs a new <code>Controller</code> for this log.
       *
       * @throws org.znerd.logdoc.UnsupportedLocaleException if the current locale is unsupported.
       */
      public Controller() throws org.znerd.logdoc.UnsupportedLocaleException {
         super();
      }

      @Override
      public String toString() {
         return getClass().getName();
      }

      @Override
      public boolean isLocaleSupported(String locale) {
         return TRANSLATION_BUNDLES_BY_NAME.containsKey(locale);
      }

      @Override
      public void setLocale(String newLocale) {
         CURRENT_TRANSLATION_BUNDLE = TRANSLATION_BUNDLES_BY_NAME.get(newLocale);
      }
   }
}
